- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Task Class Reference

`#include <Task.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Task:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Task:

[legend]
List of all members.

## Public Member Functions
| Task (Mers::Models::Base::BaseModelVariable *var, Mers::Models::Base::BaseModelValue *value)
virtual | ~Task ()
Mers::Models::Base::BaseModelVariable * | getVariable ()
Mers::Models::Base::BaseModelValue * | getValue ()
virtual Mers::Utils::Lang::String | toString () const
bool | Start (void)
bool | Stop (void)
bool | Completed (void)
bool | Failed (void)
## Protected Attributes
Mers::Models::Base::BaseModelVariable * | mVar
| Our variable.
Mers::Models::Base::BaseModelValue * | mVal
| Our value.

## Detailed Description

A task for the Deductive Controller. This task can be issued by a process to the Deductive Controller.

Author:
  Paul H. Elliott

Definition at line 35 of file Task.h.

## Constructor & Destructor Documentation

Task::Task | ( | Mers::Models::Base::BaseModelVariable * | var,
|  | Mers::Models::Base::BaseModelValue * | value |
| ) |  |  |

Creates a new Task for the deductive controller. The task will be executed as var(val), where var is the function name and val is the sole parameter.

Parameters:

  | var | The variable associated with the task. This is the task name.
  | value | The value (sole parameter) of the task.

Definition at line 28 of file Task.cpp.

References Mers::Models::Base::BaseModelValue::getName(), Mers::Interfaces::Task::mParameters, and mVal.

Here is the call graph for this function:

Task::~Task | ( |  | ) | `[virtual]`

Destroys this object.

Reimplemented from Mers::Interfaces::Task.

Definition at line 36 of file Task.cpp.

## Member Function Documentation

BaseModelVariable * Task::getVariable | ( |  | ) |

Returns the variable used to construct this task.

Definition at line 42 of file Task.cpp.

References mVar.

Referenced by Mers::Executives::DeductiveController::DCInterface::step().

BaseModelValue * Task::getValue | ( |  | ) |

Returns the value used to construct this task.

Definition at line 49 of file Task.cpp.

References mVal.

Referenced by Mers::Executives::DeductiveController::DCInterface::step().

String Task::toString | ( |  | ) | const`[virtual]`

Converts this Task into an equivalent string that represents this object.

Returns:
  A string representation of this object.

Reimplemented from Mers::Interfaces::Task.

Definition at line 56 of file Task.cpp.

References Mers::Models::Base::BaseModelValue::getName(), Mers::Models::Base::BaseModelVariable::getName(), Mers::Models::Base::BaseModelValue::getUID(), Mers::Models::Base::BaseModelVariable::getUID(), mVal, and mVar.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Task.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Task.cpp